------------------------------------------------------------
-- Physic groups
------------------------------------------------------------
phGroupBullets = 2
phGroupMargin = 3 -- To destroy objects outside the limit
phGroupEnemies = 4
phGroupShield = 5

-- Shield fluctuation
shieldFluctuationMin = 125 -- alpha
shieldFluctuationMax = 255 -- alpha

-- Life
maxLife = 500
lifeRecoveryMaxSpeed = 60 -- [life / s]
lifeRecoveryAcceleration = 1.5 -- [life / s²]

-- bullets
shootWaitTime=0.5 -- [s]
bulletSpeed=500 -- [px/s]

-- laser
laserWaitTime=10 -- [s]

-- freeze weapon
freezeWeaponWaitTime=10 -- [s]

-- freezeWeapon slow down
freezeWeaponSlowDown=2
minFreezeSpeed = 30 -- Vitesse min atteignable après un freeze

------------------------------------------------------------
-- Screen
------------------------------------------------------------
screenSize = Vector2D(1280, 1024)

------------------------------------------------------------
-- Values
------------------------------------------------------------
life = maxLife
level = 1
lifeRecoverySpeed = 1
level = 1
score = 0
cash = 1000
totalPlayTime = 0 -- Time spent in this screen

-- Weapon
canUseFreezeWeapon = false
canUseLaser = false

-- Alarm
useLaserAlarm = false
useFreezeWeaponAlarm = false

-- bonus freezeWeapon
freezeWeaponKillSmallMissile = false
freezeWeaponResetVaccum = false
freezeWeaponMakeBonusFall = false
